### org.jfree.layouting.input.style.parser.stylehandler.page

# Class SizeReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.page.SizeReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

`public class SizeReadHandler`
`extends AbstractWidthReadHandler`

Creation-Date: 30.11.2005, 18:04:27

Author:
  Thomas Morgner

  ## Constructor Summary

  `SizeReadHandler()`

  ## Method Summary

  `CSSValue`

  `createValue(StyleKey name, LexicalUnit value)`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler

  `createValue`, `isAllowAuto`, `isAllowPercentages`, `parseWidth`

## Constructor Details

### SizeReadHandler

    public SizeReadHandler()

## Method Details

### createValue

    public CSSValue createValue(StyleKey name,
                                LexicalUnit value)

> Specified by:
>   createValue in interface CSSValueReadHandler
> Overrides:
>   createValue in interface AbstractWidthReadHandler